;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME:   LCD_1.inc
;;  Version: 1.5, Updated on 2010/6/8 at 12:37:12
;;  Generated by PSoC Designer 5.1.2101.0
;;
;;  DESCRIPTION:  Assembler declarations for the LCD user module interface.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************


; LCD connections to PSoC port
;
; PX.0 ==> LCD D4
; PX.1 ==> LCD D5
; PX.2 ==> LCD D6
; PX.3 ==> LCD D7
; PX.4 ==> LCD E
; PX.5 ==> LCD RS
; PX.6 ==> LCD R/W


include "m8c.inc"

;------------------------------------------------------
;  Register Address Constants for  LCD_1
;------------------------------------------------------

LCD_1_Port:                            equ   PRT1DR
LCD_1_PortMode0:                       equ   PRT1DM0
LCD_1_PortMode1:                       equ   PRT1DM1

LCD_1_BARGRAPH_ENABLE:                 equ   0


;-----------------------------------------------
;  Constants for LCD_1
;-----------------------------------------------
; LCD commands

LCD_1_DISP_ON:                    equ   0Ch
LCD_1_DISP_OFF:                   equ   08h
LCD_1_CURSOR_ON:                  equ   0Eh
LCD_1_CURSOR_OFF:                 equ   0Ch
LCD_1_CURSOR_BLINK:               equ   0Fh
LCD_1_CURSOR_WINK:                equ   0Dh
LCD_1_CURSOR_SH_LEFT:             equ   10h
LCD_1_CURSOR_SH_RIGHT:            equ   14h
LCD_1_CURSOR_HOME:                equ   02h
LCD_1_CURSOR_LEFT:                equ   04h
LCD_1_CURSOR_RIGHT:               equ   06h
LCD_1_DISP_CLEAR_HOME:            equ   01h

LCD_1_SOLID_BG:                   equ   00h
LCD_1_LINE_BG:                    equ   01h

LCD_1_PORT_MASK:                  equ   7Fh

ICE_PORT_SYNC:     equ   0   ; This flag must be set to one to work around
                             ; the async read issue with the ICE with the 
                             ; 25/26xxx family of devices.  It will help
                             ; to eliminate "Invalid memory reference" errors.
                             ; It is not required when running without the ICE
							 ; or when using any other family besides the 
							 ; 25/26xxx family. If not using the ICE, this flag 
							 ; may be set to 0.

; end of file LCD_1.inc

